IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Price calendar entries

Rate and availability configurations. Applied per unit on multiple intervals

The price calendar entry object

Attributes

iduuid

Unique identifier

product_iduuid
products.id

Identifier of the related unit

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

check_in_days[boolean, boolean, boolean, boolean, boolean, boolean, boolean]

List of days of the week on which check-in is possible

checkout_days[boolean, boolean, boolean, boolean, boolean, boolean, boolean]

List of days of the week on which check-out is possible

colortext

Color to distinguish the configuration from others

ftstsvector

Full text search index

intervalsdatemultirange
max_advanceinteger

Maximum number of days between booking and arrival

max_durationinteger

Maximum duration of a booking in days

min_advanceinteger

Minimum number of days between booking and arrival

min_durationinteger

Minimum duration of a booking in days

nameMultiLanguageString

Localized name

orderinteger
ratesArray<{ duration: number; occupancy: number; rate: number }>

Rate per night on day X of a booking given some occupancy

The price calendar entry object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T04:00:21.475Z",
  "updated_at": "2026-03-12T04:00:21.475Z",
  "check_in_days": [
    true,
    false,
    true,
    false,
    true,
    false,
    true
  ],
  "checkout_days": [
    true,
    false,
    true,
    false,
    true,
    false,
    true
  ],
  "color": "#FACC15",
  "intervals": null,
  "max_advance": 365,
  "max_duration": 30,
  "min_advance": 0,
  "min_duration": 1,
  "name": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "order": 0,
  "rates": [
    {
      "duration": 1,
      "occupancy": 1,
      "rate": 1500
    }
  ]
}

List price calendar entries

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

check_in_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>

List of days of the week on which check-in is possible

checkout_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>

List of days of the week on which check-out is possible

colorFilter<text>

Color to distinguish the configuration from others

ftsFilter<tsvector>

Full text search index

intervalsFilter<datemultirange>
max_advanceFilter<integer>

Maximum number of days between booking and arrival

max_durationFilter<integer>

Maximum duration of a booking in days

min_advanceFilter<integer>

Minimum number of days between booking and arrival

min_durationFilter<integer>

Minimum duration of a booking in days

nameFilter<MultiLanguageString>

Localized name

orderFilter<integer>
ratesFilter<Array<{ duration: number; occupancy: number; rate: number }>>

Rate per night on day X of a booking given some occupancy

Responses

200

A list of price calendar entries with the selected columns

206

Partial Content

GET /price_calendar_entries
curl -X GET "https://api.bookingmood.com/v1/price_calendar_entries?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create price calendar entries

Body

Partial<PriceCalendarEntry> | Array<Partial<PriceCalendarEntry>>

Responses

201

The newly created price calendar entries with the selected columns

POST /price_calendar_entries
curl -X POST "https://api.bookingmood.com/v1/price_calendar_entries" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete price calendar entries

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

check_in_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>

List of days of the week on which check-in is possible

checkout_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>

List of days of the week on which check-out is possible

colorFilter<text>

Color to distinguish the configuration from others

ftsFilter<tsvector>

Full text search index

intervalsFilter<datemultirange>
max_advanceFilter<integer>

Maximum number of days between booking and arrival

max_durationFilter<integer>

Maximum duration of a booking in days

min_advanceFilter<integer>

Minimum number of days between booking and arrival

min_durationFilter<integer>

Minimum duration of a booking in days

nameFilter<MultiLanguageString>

Localized name

orderFilter<integer>
ratesFilter<Array<{ duration: number; occupancy: number; rate: number }>>

Rate per night on day X of a booking given some occupancy

Responses

204

The deleted price calendar entries with the selected columns

DELETE /price_calendar_entries
curl -X DELETE "https://api.bookingmood.com/v1/price_calendar_entries" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update price calendar entries

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

check_in_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>

List of days of the week on which check-in is possible

checkout_daysFilter<[boolean, boolean, boolean, boolean, boolean, boolean, boolean]>

List of days of the week on which check-out is possible

colorFilter<text>

Color to distinguish the configuration from others

ftsFilter<tsvector>

Full text search index

intervalsFilter<datemultirange>
max_advanceFilter<integer>

Maximum number of days between booking and arrival

max_durationFilter<integer>

Maximum duration of a booking in days

min_advanceFilter<integer>

Minimum number of days between booking and arrival

min_durationFilter<integer>

Minimum duration of a booking in days

nameFilter<MultiLanguageString>

Localized name

orderFilter<integer>
ratesFilter<Array<{ duration: number; occupancy: number; rate: number }>>

Rate per night on day X of a booking given some occupancy

Body

Partial<PriceCalendarEntry>

Responses

204

The updated price calendar entries with the selected columns

PATCH /price_calendar_entries
curl -X PATCH "https://api.bookingmood.com/v1/price_calendar_entries" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'